# eoInitVirus1bit< FitT > Class Template Reference

Inits the virus with one bit to the left set to one. More...

`#include <eoInitVirus.h>`

Inheritance diagram for eoInitVirus1bit< FitT >:

List of all members.

## Public Member Functions

| eoInitVirus1bit (unsigned _combien, eoRndGenerator< bool > &_generator)
virtual void | operator() (eoVirus< FitT > &chrom)
| The pure virtual function that needs to be implemented by the subclass.

## Private Attributes

unsigned | combien
eoSTLF< bool > | generator
| generic wrapper for eoFunctor (s), to make them have the function-pointer style copy semantics

## Detailed Description

### template<class FitT>
class eoInitVirus1bit< FitT >

Inits the virus with one bit to the left set to one.

Definition at line 66 of file eoInitVirus.h.

The documentation for this class was generated from the following file:

- eoInitVirus.h